from PyQt5.QtCore import Qt
from PyQt5.QtGui import QPixmap
from ui.widget import Widget


class About(Widget):
    def __init__(self):
        super().__init__()
        # LOGO
        self.logo_img = QPixmap("src/ui/imgs/logo_neo.png")
        self.resizeEvent()

    def resizeEvent(self, event=None):
        self.logo_l.setPixmap(
            self.logo_img.scaled(
                self.logo_l.width(),
                self.logo_l.height(),
                Qt.KeepAspectRatio,
                Qt.SmoothTransformation
            )
        )
